#Figure 4 like a Trellis plot.
par(mfrow = c(2, 3))
par(cex = 0.6)
par(mar = c(0, 0, 0, 0), oma = c(4, 4, 0.5, 0.5))
par(tcl = -0.25)
par(mgp = c(2, 0.6, 0))

#a)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4),xaxt="n",yaxt="n") 
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
pa=c(6,46,24,10) #results from SiVM from matlab
points(X[pa,1],X[pa,2],pch=0,cex=2, col = "blue") #square
axis(2,at=seq(-2,4,1),labels=seq(-2,4,1),cex.axis=1.5)
mtext(letters[1], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")
 
#b)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4),xaxt="n",yaxt="n") 
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
pa=c(46,17,9,6) #results from smr from matlab
points(X[pa,1],X[pa,2],pch=0,cex=2, col = "blue") #square
mtext(letters[2], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")

#c)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4),xaxt="n",yaxt="n") 
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
pa1=c(2,5,16,41)
points(X[pa1,1],X[pa1,2],pch=0,cex=2, col = "blue") #square
mtext(letters[3], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")

#d)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4))
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
pa=c(3,35,14,20) #results from Hottopix from matlab
points(X[pa,1],X[pa,2],pch=0,cex=2, col = "blue") #square
axis(1,at=seq(-2,4,1),labels=seq(-2,4,1),cex.axis=1.5)
axis(2,at=seq(-2,4,1),labels=seq(-2,4,1),cex.axis=1.5)
mtext(letters[4], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")

#e)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4),yaxt="n") 
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
pa=c(6,10,40,39) #results from bpm from matlab
points(X[pa,1],X[pa,2],pch=0,cex=2, col = "blue") #square
axis(1,at=seq(-2,4,1),labels=seq(-2,4,1),cex.axis=1.5)
mtext(letters[5], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")

#f)
plot(X,xlab='',ylab='',cex.axis=1.5,xlim=c(-2,4),ylim=c(-2,4),yaxt="n")
points(X[an3[[1]],1],X[an3[[1]],2],pch=16,cex=2)
points(parameters(ai),pch=4,cex=2, col = "red")
points(pa11,pch=0,cex=2, col = "blue") #square
points(pa2,pch=2,cex=2, col = "green1") #triangle
points(pa3,pch=5,cex=2, col = "violetred") #diamond
axis(1,at=seq(-2,4,1),labels=seq(-2,4,1),cex.axis=1.5)
mtext(letters[6], side = 3, line = -2.3, adj = 0.03, cex = 1.4, col = "black")

box(col = "grey60")


