%SiVM in Matlab:
data = load('med1967.dat'); 
data = data(1:20,:);
sel = [48 40 39 33 34 36];
datapulg = data(:,sel) / (10 * 2.54);
siz = size(datapulg);
smpulg = zscore(datapulg);

Sx = cov(smpulg);
for I = 1 : siz(1)
     D2(I,:) = (smpulg(I,:) -  mean(smpulg)) * inv(Sx) * (smpulg(I,:) - mean(smpulg))'; 
end 
qlchi = find(D2 <= chi2inv(0.95,siz(2))); 
lsmpulg = smpulg(qlchi,:);

[w,po] = SiVM(lsmpulg,3,'l2')
%po contains the vector of optimal observations.
